## celery-batches 0.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = CeleryBatches
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
celery-batches (0.2-1) unstable; urgency=medium

  * Initial release (Closes: #921335)

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Ana Rodríguez López <rodrilopez.ana@gmail.com>  Sat, 03 Aug 2019 21:20:24 +0000

=== debian/control ===
Source: celery-batches
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ana Rodríguez López <rodrilopez.ana@gmail.com>
Build-Depends: debhelper-compat (= 11),
	       dh-python,
	       python3-all,
	       python3-setuptools,
	       python3-celery
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: https://github.com/percipient/celery-batches
Vcs-Git: https://salsa.debian.org/python-team/modules/celery-batches.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/celery-batches

Package: python3-celery-batches
Architecture: any
Depends: ${python3:Depends},
	 ${misc:Depends}
Description: Task class that buffers messages and processes them as a list
 Celery Batches provides a ``Task`` class that allows processing of multiple
 Celery task calls together as a list. The buffer of tasks calls is flushed on a
 timer and based on the number of queued tasks.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-celery-batches/usr/lib/python3*/dist-packages/t/
